=== modified file 'requirements.txt'
--- requirements.txt	2016-01-06 23:10:59 +0000
+++ requirements.txt	2016-03-03 18:05:58 +0000
@@ -1,10 +1,10 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-cliff>=1.15.0 # Apache-2.0
-jsonschema!=2.5.0,<3.0.0,>=2.0.0
-pbr>=1.6
-python-keystoneclient!=1.8.0,>=1.6.0
-requests!=2.9.0,>=2.8.1
-six>=1.9.0
+cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
+jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
+pbr>=1.6 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+requests!=2.9.0,>=2.8.1 # Apache-2.0
+six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0

=== modified file 'test-requirements.txt'
--- test-requirements.txt	2015-12-01 06:09:40 +0000
+++ test-requirements.txt	2016-03-03 18:05:58 +0000
@@ -3,14 +3,14 @@
 # process, which may cause wedges in the gate later.
 # Hacking already pins down pep8, pyflakes and flake8
 hacking<0.10,>=0.9.2
-coverage>=3.6
-discover
-fixtures>=1.3.1
-mock>=1.2
+coverage>=3.6 # Apache-2.0
+discover # BSD
+fixtures>=1.3.1 # Apache-2.0/BSD
+mock>=1.2 # BSD
 requests-mock>=0.7.0 # Apache-2.0
-python-subunit>=0.0.18
-testrepository>=0.0.18
+python-subunit>=0.0.18 # Apache-2.0/BSD
+testrepository>=0.0.18 # Apache-2.0/BSD
 
 # Doc requirements
-sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
+sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
 oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0

